# MiniSyntax

A simple and powerful syntax highlighter for Ruby. It uses `<em>`, `<b>`, `<q>`, … instead of `<span class="keyword">` to reduce the HTML output. It preferes to keep it simple over having a color for every detail of a language as its major usecase is enhancing blog posts.

Have a look at those blog posts and inspect the HTML of the source code sections:

* <http://www.hagenburger.net/BLOG/HTML5-Input-Placeholder-Fix-With-jQuery.html>
* <http://www.hagenburger.net/BLOG/3d-Github-badge-with-pure-CSS3.html>
* <http://www.hagenburger.net/BLOG/Simple-HTML5-Fix-for-IE.html>


## Supported Languages

* command_line
* css
* erb
* haml (with embedded ruby)
* html (with embedded javascript)
* javascript
* php
* ruby
* yaml


## Contributing to MiniSyntax

* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it
* Fork the project
* Start a feature/bugfix branch
* Commit and push until you are happy with your contribution
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.


## Copyright

Copyright (c) 2010 [Nico Hagenburger](http://www.hagenburger.net). See MIT-LICENSE.txt for
further details.

